Mailbox
Get the in-game mail of a player, such as the notifications sent after a report is acted on.
The {cluster} is the SGP cluster of the player's region and the {puuid} must be your own.
Headers
Authorization string required Bearer {auth token}— From the Entitlements Token endpoint or Riot auth URL parameters
cluster enum required euc1, usw2, apse1 or apne1: the SGP cluster for the region.
euc1usw2apse1apne1How to get it
There are 4 SGP clusters:
| Cluster ID | Region |
|---|---|
euc1 | Europe |
usw2 | North America / Brazil / LATAM / PBE |
apse1 | Asia Pacific / Oceania |
apne1 | Japan / Korea |
puuid string · uuid required Player UUID
Query parameters
count number optional Maximum number of mails to return, e.g. 100
startIndex number optional Index of the first mail to return, used together with count for pagination
includedStates string optional Only return mails in this state. Can be repeated to include multiple states, e.g. includedStates=NEW&includedStates=READ&includedStates=ACKNOWLEDGED. Observed values: NEW, READ, ACKNOWLEDGED
Other variables
auth token From the Entitlements Token endpoint or Riot auth. Details
Response
mailId string · uuid Mail ID
puuid string · uuid The player the mail was sent to
message string JSON-encoded string with the contents of the mail. The keys depend on the type of mail, for example `{"product":"valorant","category":"COMMS_ABUSE_TEXT","recipientType":"","offenderRiotId":"name#tag"}`
product string e.g. "valorant"
region string nullable tags array[string] e.g. `["ga-reporter-feedback-notification"]`
mailType string e.g. "ACK_REQUIRED"
state string e.g. "NEW", "READ", "ACKNOWLEDGED"
createdAt number Milliseconds since epoch